import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
const linkActiveClass = 'my-link-active-class'

Vue.use(VueRouter)

Vue.material.router.linkActiveClass = linkActiveClass

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/about',
    name: 'About',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
  }
]

const router = new VueRouter({
  routes,
  linkActiveClass
})


export default router
